Bug Hunting Session
Bug 76280 - FORMATTING: Upper table border is missing on subsequent pages/columns (after page / column breaks)
Summary: FORMATTING: Upper table border is missing on subsequent pages/columns (after ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Table-Borders
  Show dependency treegraph
 
Reported: 2014-03-17 17:14 UTC by Marc PHILIPPE
Modified: 2019-02-02 13:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
OpenDocument showing the same table in sections wih 1, 2 or 3 columns. (26.90 KB, application/vnd.oasis.opendocument.text)
2014-03-17 17:14 UTC, Marc PHILIPPE
Details
Test document + preview (203.17 KB, application/zip)
2015-05-03 05:46 UTC, Marc PHILIPPE
Details
ODT + PDF of the same document (17.06 KB, application/vnd.oasis.opendocument.text)
2015-05-14 17:39 UTC, Marc PHILIPPE
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc PHILIPPE 2014-03-17 17:14:05 UTC
Created attachment 95956 [details]
OpenDocument showing the same table in sections wih 1, 2 or 3 columns.

Problem description: 

Steps to reproduce:
1. Create a section with 2 columns (or more);
2. In that section, insert a table;
3. The table must have enough lines to be spread over several columns.

Current behavior:
From column 2, the upper table border is not drawn.

Expected behavior:
An upper border should be drawn on the top of each column.
              
Operating System: Windows 7
Version: 4.2.1.1 release
Comment 1 sophie 2014-03-18 16:46:27 UTC
Confirmed using Version: 4.2.3.1
Build ID: 3d4fc3d9dbf8f4c0aeb61498a81f91c5b7922f13 Ubuntu 13.10 - Set as New, change OS to all - Sophie
Comment 2 Dominique Boutry 2014-03-27 08:04:18 UTC
Tied with bug 70018, in my opinion.
Comment 3 Joel Madero 2015-05-02 15:41:54 UTC Comment hidden (obsolete)
Comment 4 Marc PHILIPPE 2015-05-03 05:44:23 UTC
Still present in LO 4.4.2.2 on Windows 7
(Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6).

No change in bug behavior.

See attachment bug76280.zip.
Comment 5 Marc PHILIPPE 2015-05-03 05:46:42 UTC
Created attachment 115280 [details]
Test document + preview
Comment 6 Marc PHILIPPE 2015-05-14 17:36:37 UTC
I changed the bug summary, for the concerned behaviour shows up:
- if the table spans over several pages (newly mentioned here);
- if the table spans over the different columns of a multiple-column section.

See next attachment.
Comment 7 Marc PHILIPPE 2015-05-14 17:39:22 UTC
Created attachment 115607 [details]
ODT + PDF of the same document
Comment 8 Cor Nouws 2016-05-18 07:30:41 UTC
already a problem in LibreOffice 3.3.0
Comment 9 QA Administrators 2017-05-22 13:40:00 UTC Comment hidden (obsolete)
Comment 10 Cor Nouws 2017-08-13 20:37:09 UTC
still not ok in Version: 6.0.0.0.alpha0+
Build ID: 368b583b992f2e9cad46c2362c9529a07c36d7a9
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-08-10_02:55:46
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 11 Regina Henschel 2017-08-14 00:18:12 UTC
If you mark a single cell and look into the tab Border of the table properties, you will notice in the part "user-defined", that the cell has no upper border.  So the border you see between two adjacent cells belongs to the upper cell. If such cell is the first on a page or first in a column, it has no cell above and therefore there is no border.

So there exist two ways to correct the table:
(1) Mark the first cell of the page or column respectively and enable the upper - border line. If the page or column break is not yet fix, then you need to correct all cells. More generally, you should use an AutoFormat, where all cell borders are set.
(2) Go to tab Borders of the table properties and check "Merge adjacent line styles".

The option "Merge adjacent line styles" is checked as default in version: 6.0.0.0.alpha0+
Build ID: f1a896c71c495bdef5861eb664581507b6b9b5bb
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-08-13_07:38:19
Locale: de-DE (de_DE); Calc: group

I wonder, how and why the option "Merge adjacent line styles" becomes unchecked in the attached file.
Comment 12 QA Administrators 2018-08-15 02:33:22 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug